# 
# 
# To apply this patch:
# STEP 1: Chdir to the source directory.
# STEP 2: Run the 'applypatch' program with this patch file as input.
#
# If you do not have 'applypatch', it is part of the 'makepatch' package
# that you can fetch from the Comprehensive Perl Archive Network:
# http://www.perl.com/CPAN/authors/Johan_Vromans/makepatch-x.y.tar.gz
# In the above URL, 'x' should be 2 or higher.
#
# To apply this patch without the use of 'applypatch':
# STEP 1: Chdir to the source directory.
# STEP 2: Run the 'patch' program with this file as input.
#
#### End of Preamble ####

#### Patch data follows ####
diff -up '../../build/IO-Zlib-1.07-rquoLV/Zlib.pm' 'Zlib.pm'
Index: ./Zlib.pm
--- ./Zlib.pm	Sat Jul 28 01:06:54 2007
+++ ./Zlib.pm	Sun Oct 28 23:40:20 2007
@@ -293,7 +293,15 @@ use strict;
 use vars qw($VERSION $AUTOLOAD @ISA);
 
 use Carp;
-use Fcntl qw(SEEK_SET);
+BEGIN {
+    # try hard to achieve 5.005 compatibility:
+    if ($] < 5.006 || !eval q{use Fcntl qw(SEEK_SET); 1;}) {
+	eval q{use constant SEEK_SET => 0;};
+	if ($@) {
+	    die "Could not set SEEK_SET constant: $@";
+	}
+    }
+}
 
 my $has_Compress_Zlib;
 my $aliased;
#### End of Patch data ####

#### ApplyPatch data follows ####
# Data version        : 1.0
# Date generated      : Sun Oct 28 23:42:11 2007
# Generated by        : makepatch 2.03
# Recurse directories : Yes
# Excluded files      : (\A|/).*\~\Z
#                       (\A|/).*\.a\Z
#                       (\A|/).*\.bak\Z
#                       (\A|/).*\.BAK\Z
#                       (\A|/).*\.elc\Z
#                       (\A|/).*\.exe\Z
#                       (\A|/).*\.gz\Z
#                       (\A|/).*\.ln\Z
#                       (\A|/).*\.o\Z
#                       (\A|/).*\.obj\Z
#                       (\A|/).*\.olb\Z
#                       (\A|/).*\.old\Z
#                       (\A|/).*\.orig\Z
#                       (\A|/).*\.rej\Z
#                       (\A|/).*\.so\Z
#                       (\A|/).*\.Z\Z
#                       (\A|/)\.del\-.*\Z
#                       (\A|/)\.make\.state\Z
#                       (\A|/)\.nse_depinfo\Z
#                       (\A|/)core\Z
#                       (\A|/)tags\Z
#                       (\A|/)TAGS\Z
# p 'Zlib.pm' 15074 1193611220 0100644
#### End of ApplyPatch data ####

#### End of Patch kit [created: Sun Oct 28 23:42:11 2007] ####
#### Patch checksum: 55 1785 41787 ####
#### Checksum: 73 2409 27793 ####
